# Class GMRules

java.lang.Object
GMRules

All Implemented Interfaces:
  `ActionListener`, `EventListener`

public class GMRules extends Object implements ActionListener
GMRules gère les actions liées aux règles du jeu. Cette classe implémente ActionListener pour réagir aux clics sur un bouton.

## Constructor Summary

Constructors
Constructor
Description
`GMRules()`
Constructeur de GMRules.

## Method Summary

Modifier and Type
Method
Description
`void`
`actionPerformed(ActionEvent e)`
Méthode appelée lorsqu'une action est effectuée, comme un clic sur un bouton.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GMRules

public GMRules()
Constructeur de GMRules. Initialise le gestionnaire de boîte de dialogue des règles.

## Method Details

### actionPerformed

public void actionPerformed(ActionEvent e)
Méthode appelée lorsqu'une action est effectuée, comme un clic sur un bouton. Affiche la boîte de dialogue des règles.

Specified by:
  `actionPerformed` in interface `ActionListener`
Parameters:
  `e` - L'événement d'action qui a déclenché cette méthode.